reset-ftrace(8)

NAME
reset-ftrace - reset state of ftrace, disabling all tracing. Written for Linux ftrace.

SYNOPSIS
reset-ftrace [-fhq]

DESCRIPTION
This resets the state of various ftrace files, and shows the before and after state.

This may only be of use to ftrace hackers who, in the process of developing ftrace software, often get the subsystem into a partially active state, and would like a quick way to reset state. Check the end of this script for the actually files reset, and add more if you need.

WARNING: Only use this if and when you are sure that there are no other active ftrace sessions on your system, as otherwise it will kill them.

REQUIREMENTS
FTRACE CONFIG.

OPTIONS

-f  Force. If the ftrace lock file exists (/var/tmp/.ftrace-lock), delete it.

-h  Print usage message.

-q  Quiet. Run, but don't print any output.

EXAMPLES

Reset various ftrace files:
    # reset-ftrace

SOURCE
This is from the perf-tools collection.

    https://github.com/brendangregg/perf-tools

Also look under the examples directory for a text file containing example usage, output, and commentary for this tool.

OS
Linux

STABILITY
Unstable - in development.

AUTHOR
Brendan Gregg

SEE ALSO
perf(1)